package com.dcs.equipment.service;

import com.dcs.equipment.domain.vo.DataTwinAlarmVO;
import com.dcs.equipment.domain.vo.DataTwinEquipmentVO;
import com.dcs.equipment.domain.vo.DataTwinInfluxDBVO;

import java.util.List;

/**
 * @author: wangpx
 * @date: 2025-05-06 09:03
 */
public interface DataTwinService {

    List<DataTwinEquipmentVO> getEquipmentList();

    // TODO 将聚合和时间 表名等创建为常量
    List<DataTwinInfluxDBVO> queryTemperatureByDay();

    List<DataTwinInfluxDBVO> queryTemperatureByWeek();

    List<DataTwinInfluxDBVO> queryTemperatureByMonth();

    List<DataTwinEquipmentVO> getDataByCode(String equipmentCode);

    List<DataTwinEquipmentVO> getTemperatureList();

    List<DataTwinAlarmVO> getAlarmList();
}
